package org.richfaces.realworld.search;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.faces.model.SelectItem;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.AutoCreate;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Scope;
import org.richfaces.component.UIInputNumberSpinner;
import org.richfaces.realworld.domain.Image;
import org.richfaces.realworld.fileupload.FileManager;
import org.richfaces.realworld.service.ISearchService;

@Name("searchBean")
public class SearchBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5071655218132021316L;

	@In(required=false)
    private SearchBeanHelper helper;

	@In(create=true)
	private ISearchService searchService;
	
	@In(create=true)
	private FileManager fileManager;
	
	private String searchPattern;
	
	private Long spinnerChoice;
	
	private Long dateChoice;
	
	private Long votesChoice;
	
	private Long numberOfVotes;
	
	private Date date;
	
	private List<Image> findedImages = new ArrayList<Image>();
	
	public List<SelectItem> getItems() {
	      List<SelectItem> list = new ArrayList<SelectItem>(4);
	      list.add(new SelectItem(Long.valueOf(1L), "More"));
	      list.add(new SelectItem(Long.valueOf(2L), "Less"));
	      list.add(new SelectItem(Long.valueOf(3L), "Equals"));
	      return list;
	   }
	
	public synchronized void paint(OutputStream stream, Object object) throws IOException {
		Image painted = (Image)object;
		
		File image = fileManager.getImage(painted.getAlbum().getOwner().getLogin() + fileManager.getFileSeparator() + painted.getAlbum().getName()+ fileManager.getFileSeparator() + painted.getPath());
	    InputStream paintData = null;
	    byte[] data = new byte[(int)image.length() - 1];
	    FileInputStream fileInputStream = null;
	    BufferedInputStream bufferedInputStream = null;
	    if (image != null) {
			try {
				fileInputStream = new FileInputStream(image);
				bufferedInputStream = new BufferedInputStream(fileInputStream);
				paintData = bufferedInputStream;
				paintData.read(data);
			} catch (FileNotFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}finally{
				try {
					fileInputStream.close();
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				try {
					bufferedInputStream.close();
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				try {
					paintData.close();
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
	    }
		stream.write(data);
	}
	
	public List<Image> searchImages(){
		findedImages = searchService.searchImages(this.searchPattern);
		return findedImages;
	}
	
	public List<Image> popularImages(){
		findedImages = searchService.popularImages();
		return findedImages;
	}
	
	public List<Image> worstImages(){
		findedImages = searchService.worstImages();
		return findedImages;
	}

	public String getSearchPattern() {
		return searchPattern;
	}

	public void setSearchPattern(String searchPattern) {
		this.searchPattern = searchPattern;
	}

	public Long getSpinnerChoice() {
		return spinnerChoice;
	}

	public void setSpinnerChoice(Long spinnerChoice) {
		this.spinnerChoice = spinnerChoice;
	}

	public Long getDateChoice() {
		return dateChoice;
	}

	public void setDateChoice(Long dateChoice) {
		this.dateChoice = dateChoice;
	}

	public Long getVotesChoice() {
		return votesChoice;
	}

	public void setVotesChoice(Long votesChoice) {
		this.votesChoice = votesChoice;
	}

	public Long getNumberOfVotes() {
		return numberOfVotes;
	}

	public void setNumberOfVotes(Long numberOfVotes) {
		this.numberOfVotes = numberOfVotes;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public List<Image> getFindedImages() {
		return findedImages;
	}

	public void setFindedImages(List<Image> findedImages) {
		this.findedImages = findedImages;
	}
}
