package org.ajax4jsf.util;

import java.text.DateFormatSymbols;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

public abstract class DateUtils {

    /**
     * Returns <code>Date</code> object according to given <code>dateString</code>
     * @param dateString
     * @param pattern
     * @param locale
     * @return
     */
    public static Date date(String dateString, String pattern, Locale locale) {
        Date retVal = null;
        try {
            retVal = new SimpleDateFormat(pattern, locale).parse(dateString);
        } catch (ParseException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }

        return retVal;
    }

    public static String month(Date date, Locale locale) {
        Calendar c = Calendar.getInstance(locale);
        c.setTime(date);
        DateFormatSymbols symbols = new DateFormatSymbols(locale);
        return symbols.getMonths()[c.get(Calendar.MONTH)];
    }

    public static int year(Date date) {
        Calendar c = Calendar.getInstance();
        c.setTime(date);
        return c.get(Calendar.YEAR);
    }

}
